summaryrefslogtreecommitdiff
path: root/system/mybashburn/mybashburn.SlackBuild
diff options
context:
space:
mode:
authorMichael Wagner <lapinours@web.de>2010-05-11 15:18:41 +0200
committerMichiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:18:41 +0200
commit796e09f420c685738be4a536db87eac69a02a27b (patch)
treef09b506d88bce6449f2fd0b46c270d3331212a64 /system/mybashburn/mybashburn.SlackBuild
parent1975d4a1ec58b490155aa999ac6be190de4cdf0d (diff)
downloadslackbuilds-796e09f420c685738be4a536db87eac69a02a27b.tar.gz
system/mybashburn: Initial import
Diffstat (limited to 'system/mybashburn/mybashburn.SlackBuild')
-rw-r--r--system/mybashburn/mybashburn.SlackBuild76
1 files changed, 76 insertions, 0 deletions
diff --git a/system/mybashburn/mybashburn.SlackBuild b/system/mybashburn/mybashburn.SlackBuild
new file mode 100644
index 0000000000..63792d27f3
--- /dev/null
+++ b/system/mybashburn/mybashburn.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+# Slackware Build Script for mybashburn
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+set -e
+
+PRGNAM=mybashburn
+VERSION=1.0.1
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make install DESTDIR=$PKG || exit 1
+
+# Move mandir, docdir and sysconfir to their proper locations
+( for i in man doc etc; do
+ if [ $i != etc ]; then
+ mv $PKG/usr/share/$i $PKG/usr
+ else
+ cat $PKG/usr/share/$PRGNAM/etc/${PRGNAM}rc > $PKG/etc/${PRGNAM}rc.new
+ rm -rf $PKG/usr/share/$PRGNAM/etc
+ fi
+done ) || exit 1
+
+# Re-arrange the symlinks created during make install
+for i in `find $PKG -type l`; do
+ if [ `basename $i` != mybashburn ]; then
+ ln -sf ../../doc/$PRGNAM-$VERSION/`basename $i` $i
+ else
+ ln -sf ../share/$PRGNAM/MyBashBurn.sh $i
+ fi
+done
+
+( cd $PKG/usr/man
+ find . -name "*.?" -type f 2> /dev/null | xargs gzip -9 2> /dev/null
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz